textures/retreat/skybox
{
	qer_editorimage textures/retreat/heat_up.jpg
        qer_trans 0.99

	q3map_backsplash 0 0
	q3map_lightmapFilterRadius 	0 8
        q3map_lightsubdivide 768

	q3map_sunEXT	1 0.92 0.75 220 180 12 3 12

	q3map_skyLight	450 10

	q3map_lightRGB 	1 0.92 0.75

	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/retreat/heat - -

	nopicmip
	nomipmaps
}

models/mapobjects/br_statues/br_horse

{
	surfaceparm alphashadow
	cull disable
	{
	map models/mapobjects/br_statues/br_horse.tga
	rgbGen vertex
	depthWrite
	alphaFunc GE128
	}
}

textures/retreat/glass_wave
{
    q3map_lightimage textures/retreat/lamp_light.tga
    //q3map_lightsubdivide 32
    //q3map_lightmapFilterRadius 0 8
    surfaceparm nomarks
    q3map_surfacelight 35000    //20000 
        {
                map textures/retreat/glass_wave.tga
        rgbGen vertex
        }
}

textures/retreat/water_fount
{
    qer_editorimage textures/retreat/water.tga
    qer_trans 0.5
    //q3map_fancywater 1 1 1 1    parameters do nothing yet are necessary?

    surfaceparm trans
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm water
    surfaceparm nolightmap
    surfaceparm nomarks

    cull none
    nopicmip
    {
        map textures/retreat/water.tga
        blendfunc blend
        tcmod turb 0 0.15 0.75 0.02
        alphagen const 0.1
    }
    {
        map textures/retreat/water.tga
        blendfunc blend
        tcmod turb 0 0.15 0.25 0.015
        alphagen const 0.1
    }
}

textures/retreat/watercaulk
{
    qer_editorimage textures/retreat/watercaulk.tga
    qer_trans 0.5
    surfaceparm nodraw
    surfaceparm detail
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
}

textures/retreat/water_rain
{
    qer_editorimage textures/wetwired/fs_rain2.tga
    qer_trans 0.5
        q3map_globaltexture

        surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight

    cull none
    nopicmip
    {
        map textures/wetwired/fs_rain2.tga
        tcMod Scroll -0.125 -2
        alphaFunc GE128
        depthWrite
        //blendfunc add

        //if this doesn't look right
        //comment alphaFunc GE128 & depthWrite
        //then un-comment blendfunc add
        }
}

textures/retreat/wood_fence
{
	qer_editorimage textures/retreat/wood_fence.tga
        cull none
        nopicmip
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm trans
        {
                map textures/retreat/wood_fence.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
		tcmod scale 2 2
         }
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/retreat/grass_phong
{
    q3map_nonplanar
    q3map_shadeangle 60     //140
    qer_editorimage textures/retreat/del2_floor09.tga 
    surfaceparm dust
    //surfaceparm nodamage
    {
        map $lightmap
        rgbGen identity
    }   
    {
        map textures/retreat/del2_floor09.tga
        blendFunc filter
    }
}

textures/retreat/grass_dirt_phong
{
    qer_editorimage textures/retreat/del2_floor09.tga
    q3map_shadeangle 140 //90
    q3map_nonplanar
    surfaceparm dust
    //surfaceparm nodamage
    {
        map textures/retreat/del2_floor09a.tga
    }
    {
        map textures/retreat/del2_floor09.tga
        alphagen vertex
        alphafunc gt0
        blendfunc blend
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/retreat/clipmarx_cement
{
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nomarks 
    surfaceparm nodlight
    {
        map $whiteimage
        blendfunc filter
    }
}

// ======================================================================
// TREE
// ======================================================================
textures/retreat/tree01_bark
{
	qer_editorimage textures/retreat/tree01_bark.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/retreat/tree01_bark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/retreat/tree01_stump
{
	qer_editorimage textures/retreat/tree01_stump.tga

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/retreat/tree01_stump.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/retreat/tree01_leaves
{
	qer_editorimage textures/retreat/tree01_leaves.tga
	q3map_cloneShader textures/retreat/tree01_leavesback

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_trans 0.99

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/retreat/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/tree01_leavesback
{
	qer_editorimage textures/retreat/tree01_leaves.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

	deformVertexes wave 16 sin 0 1 0 .2
	{
		map textures/retreat/tree01_leaves.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ======================================================================
// BLACK SKY
// ======================================================================
textures/retreat/sky_black
{
	qer_editorimage textures/retreat/black.jpg

	//red green blue intensity degrees elevation deviance samples
	q3map_sunExt 1 1 .93 125 270 50 2 32
	q3map_skyLight 125 6

	q3map_noFog
	q3map_globalTexture
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	nopicmip
	{
		map textures/retreat/black.tga
	}
}

textures/retreat/rock_grey2vine_blend
{
	qer_editorimage textures/retreat/rock_grey2vine_blend.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		// Primary
		map textures/retreat/rock_grey2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/retreat/rock_grey2vine.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/retreat/vine1
{
	qer_editorimage textures/retreat/vine06.tga
	qer_trans 0.99

	q3map_nonplanar
	q3map_shadeangle 30
	q3map_noshadow 32	//no shadows from self

	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	//cull none 		//save tris :>

	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/retreat/vine06.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}


textures/retreat/vine2
{
	qer_editorimage textures/retreat/vine07.tga
	qer_trans 0.99

	q3map_nonplanar
	q3map_shadeangle 30
	q3map_noshadow 32	//no shadows from self

	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	//cull none 		//save tris :>

	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/retreat/vine07.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}


textures/retreat/ivy
{
	qer_editorimage textures/retreat/ivy.tga
	qer_trans 0.99

	q3map_nonplanar
	q3map_shadeangle 30
	q3map_noshadow 32	//no shadows from self

	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	//cull none 		//save tris :>

	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/retreat/ivy.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}
textures/retreat/ivy2
{
	qer_editorimage textures/retreat/ivy_down.tga

	qer_trans 0.99
	q3map_vertexScale 1.2
	q3map_noshadow 32	//no shadows from self

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/retreat/ivy_down.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

textures/retreat/ivy3
{
	qer_editorimage textures/retreat/ivy_down2.tga
	
	qer_trans 0.99
	q3map_vertexScale 1.2
	q3map_noshadow 32	//no shadows from self

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/retreat/ivy_down2.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}
textures/retreat/ivy_1
{
	qer_editorimage textures/retreat/ivy1.tga
	qer_trans 0.99

	q3map_nonplanar
	q3map_shadeangle 30
	q3map_noshadow 32	//no shadows from self

	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/retreat/ivy1.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}
textures/retreat/ivy_2
{
	qer_editorimage textures/retreat/ivy2.tga
	qer_trans 0.99

	q3map_nonplanar
	q3map_shadeangle 30
	q3map_noshadow 32	//no shadows from self

	surfaceparm trans
	//surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/retreat/ivy2.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

textures/retreat/ivy_windy
{
	qer_editorimage textures/retreat/ivy.tga
	
	qer_trans 0.99
	q3map_vertexScale 1.2
	q3map_noshadow 32	//no shadows from self

	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks

	q3map_bouncescale 0.0
	polygonoffset
	nopicmip
	cull none

	qer_alphaFunc gequal 0.5
	deformVertexes wave 9 sin 0 .7 0 .4
	{
		map textures/retreat/ivy.tga
		alphaFunc GE128
		depthWrite
		rgbgen exactvertex
	}
}

// ======================================================================
// PLANTS
// ======================================================================
textures/retreat/leaf01a
{
	qer_editorimage textures/retreat/leaf01a.tga
	q3map_cloneShader textures/retreat/leaf01a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf01a_back
{
	qer_editorimage textures/retreat/leaf01a.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}

// ----------------------------------------------------------------------
textures/retreat/leaf01b
{
	qer_editorimage textures/retreat/leaf01b.tga
	q3map_cloneShader textures/retreat/leaf01b_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf01b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf01b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf01b_back
{
	qer_editorimage textures/retreat/leaf01b.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf01b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf01b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf01d
{
	qer_editorimage textures/retreat/leaf01d.tga
	q3map_cloneShader textures/retreat/leaf01b_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf01d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf01d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf01d_back
{
	qer_editorimage textures/retreat/leaf01d.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf01d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf01d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf02a
{
	qer_editorimage textures/retreat/leaf02a.tga
	q3map_cloneShader textures/retreat/leaf02a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf02a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf02a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf02a_back
{
	qer_editorimage textures/retreat/leaf02a.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf02a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf02a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf02b
{
	qer_editorimage textures/retreat/leaf02b.tga
	q3map_cloneShader textures/retreat/leaf02b_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf02b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf02b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf02b_back
{
	qer_editorimage textures/retreat/leaf02b.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf02b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf02b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf02c
{
	qer_editorimage textures/retreat/leaf02c.tga
	q3map_cloneShader textures/retreat/leaf02c_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf02c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf02c.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf02c_back
{
	qer_editorimage textures/retreat/leaf02c.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf02c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf02c.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf02d
{
	qer_editorimage textures/retreat/leaf02d.tga
	q3map_cloneShader textures/retreat/leaf02d_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf02d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf02d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf02d_back
{
	qer_editorimage textures/retreat/leaf02d.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf02d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf02d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf03a
{
	qer_editorimage textures/retreat/leaf03a.tga
	q3map_cloneShader textures/retreat/leaf03a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf03a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf03a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf03a_back
{
	qer_editorimage textures/retreat/leaf03a.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf03a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf03a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf03b
{
	qer_editorimage textures/retreat/leaf03b.tga
	q3map_cloneShader textures/retreat/leaf03b_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf03b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf03b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf03b_back
{
	qer_editorimage textures/retreat/leaf03b.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf03b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf03b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf03c
{
	qer_editorimage textures/retreat/leaf03c.tga
	q3map_cloneShader textures/retreat/leaf03c_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf03c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf03c.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf03c_back
{
	qer_editorimage textures/retreat/leaf03c.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf03c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf03c.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf04a
{
	qer_editorimage textures/retreat/leaf04a.tga
	q3map_cloneShader textures/retreat/leaf04a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf04a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf04a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf04a_back
{
	qer_editorimage textures/retreat/leaf04a.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf04a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf04a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf04b
{
	qer_editorimage textures/retreat/leaf04b.tga
	q3map_cloneShader textures/retreat/leaf04b_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf04b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf04b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf04b_back
{
	qer_editorimage textures/retreat/leaf04b.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf04b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf04b.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf04c
{
	qer_editorimage textures/retreat/leaf04c.tga
	q3map_cloneShader textures/retreat/leaf04c_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf04c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf04c.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf04c_back
{
	qer_editorimage textures/retreat/leaf04c.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf04c.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf04c.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf04d
{
	qer_editorimage textures/retreat/leaf04d.tga
	q3map_cloneShader textures/retreat/leaf04d_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf04d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf04d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf04d_back
{
	qer_editorimage textures/retreat/leaf04d.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf04d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf04d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/leaf05a
{
	qer_editorimage textures/retreat/leaf05a.tga
	q3map_cloneShader textures/retreat/leaf05a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	qer_alphafunc greater 0.5
	qer_trans 0.99

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf05a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf05a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/leaf05a_back
{
	qer_editorimage textures/retreat/leaf05a.tga

	q3map_invert
	q3map_vertexScale 3.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap

//	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/leaf05a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/leaf05a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ======================================================================
// GRASS
// ======================================================================
textures/retreat/grass01a
{
	qer_editorimage textures/retreat/grass01a.tga
	q3map_cloneShader textures/retreat/grass01a_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	qer_trans 0.99

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/grass01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/grass01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/grass01a_back
{
	qer_editorimage textures/retreat/grass01a.tga

	q3map_invert
	q3map_vertexScale 1.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/grass01a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/grass01a.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/grass01d
{
	qer_editorimage textures/retreat/grass01d.tga
	q3map_cloneShader textures/retreat/grass01d_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	qer_trans 0.99

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/grass01d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/grass01d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/grass01d_back
{
	qer_editorimage textures/retreat/grass01d.tga

	q3map_invert
	q3map_vertexScale 1.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/grass01d.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/grass01d.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
textures/retreat/grass01e
{
	qer_editorimage textures/retreat/grass01e.tga
	q3map_cloneShader textures/retreat/grass01e_back

	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight
	qer_trans 0.99

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/grass01e.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/grass01e.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
textures/retreat/grass01e_back
{
	qer_editorimage textures/retreat/grass01e.tga

	q3map_invert
	q3map_vertexScale 1.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm pointlight

	deformVertexes wave 16 sin 0 0.5 0 0.1
   {
		map textures/retreat/grass01e.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
	{
		map textures/retreat/grass01e.tga
		alphaFunc GE128
		rgbGen vertex
		depthWrite
	}
}
// ----------------------------------------------------------------------
// Used under the grass plant model
// ----------------------------------------------------------------------
textures/retreat/decal_plant1
{
	qer_editorimage textures/retreat/decal_plant1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/retreat/decal_plant1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
